Menu

## Saveable

Saveable.php : 14

Provides methods for persisting Saveable entities.

### Table of Contents

_save() : mixed
  Static, protected save function to call from trait-overwriting methods.
save() : mixed
  Marks the entity as permanent and saves it into the database.

### Methods

#### _save()

Saveable.php : 21

Static, protected save function to call from trait-overwriting methods.

`public static _save(SaveableInterface $object, EntityManagerInterface $em) : mixed`

##### Parameters

$object : SaveableInterface
$em : EntityManagerInterface

##### Return values

mixed —

#### save()

Saveable.php : 31

Marks the entity as permanent and saves it into the database.

`public save(EntityManagerInterface $em) : mixed`

##### Parameters

$em : EntityManagerInterface

  The Entity Manager

##### Return values

mixed —

## Search results